[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TGraphicControl.Destroy

Destroy - destructor for TGraphicControl: frees local canvas and performs inherited Destroy

## Declaration

Source position: controls.pp line 1916

`public destructor TGraphicControl.Destroy; override;`

## Description

Destroy - destructor for TGraphicControl: frees local canvas and performs inherited Destroy

Overrides ancestor destructors, and may be overridden

## See also

TControl.Destroy |  | Destroy - Destructor for TControl. Detaches control from parents, removes graphics, frees memory and Operating System handles, pointers etc

The latest version of this document can be found at lazarus-ccr.sourceforge.net.